Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.wbem.query
Class SelectList

    java.lang.Object
      |
      +--com.sun.wbem.query.SelectList

public class SelectList
extends java.lang.Object
implements java.io.Serializable

SelectList represents a list of attributes which are used as the projection for the returned 'row'.

Since:
  WBEM 1.0
See Also:
  Serialized Form

Constructor Summary
`SelectList(AttributeExp exp)` Constructor for a single attribute list.

Method Summary
`void` | `addElement(AttributeExp exp)` Adds new attributes to the list.
`CIMElement` | `apply(CIMElement ce)` Projects the appropriate 'columns' from the input 'row'.
`java.util.Enumeration` | `elements()` Enumeration of all the attributes.
`java.lang.String` | `toString()` WQL String form of the select list.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SelectList

    public SelectList(AttributeExp exp)

  Constructor for a single attribute list.
  Parameters:
    `constructs` - a list with a single attribute. A '*' represents projection of all attributes.

Method Detail

### addElement

    public void addElement(AttributeExp exp)

  Adds new attributes to the list.
  Parameters:
    `exp` - Attribute to be added.

### elements

    public java.util.Enumeration elements()

  Enumeration of all the attributes.
  Returns:
    Enumeration of all the attributes.j

### toString

    public java.lang.String toString()

  WQL String form of the select list.
  Overrides:
    toString in class java.lang.Object

### apply

    public CIMElement apply(CIMElement ce)
                     throws CIMException

  Projects the appropriate 'columns' from the input 'row'. In the case of WQL currently supported rows are 'CIMInstance'. Each column in a CIMInstance property.
  Returns:
    CIMElement resulting from the projection of the attribute list. Currently only CIMInstance is returned.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD